This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1025613 - [TESTING][Search Runs] 'No test runs found' is not shown if no result, using 'Case Run Assignee' field for the search
[TESTING][Search Runs] 'No test runs found' is not shown if no result, using ...
Status: VERIFIED
Product: TCMS
Classification: Other
Component: Application (Show other bugs)
3.8.5
Unspecified Unspecified
low Severity low
: ---
: 3.8.11
Assigned To: Yang Ren
tools-bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-01 01:21 EDT by Chen Chen
Modified: 2016-05-26 09:14 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Chen Chen 2013-11-01 01:21:29 EDT
Description of problem:
Go to 'TESTING'->'Search Runs' page. Input something not existed in 'Case Run Assignee' field, click 'Search' button, although there is no run in result list, 'No test runs found' is not shown.

If not use 'Case Run Assignee' field for the search, there will be a 'No test runs found' if no result.

Version-Release number of selected component (if applicable):
3.8.5

How reproducible:
100%

Steps to Reproduce:
1.Go to 'TESTING'->'Search Runs' page.
2. Input something not existed in 'Case Run Assignee' field, click 'Search' button.

Actual results:
2.Although there is no run in result list, 'No test runs found' is not shown.

Expected results:
2.'No test runs found' is shown.
Comment 2 Xu Lei 2014-08-19 23:05:15 EDT
Missing 'else' to process invalid form, leave a None trs to render template,
then raise an error.
Comment 3 Tingting Zhao 2014-09-09 03:13:21 EDT
verify on devel server with v3.8.11-1 :pass
verify steps are the same as the description.

Note You need to log in before you can comment on or make changes to this bug.